<?php
/**
 * Contains the ISunMailerSubscriber interface.
 */

/**
 * Represents a subscriber.
 */
interface ISunmailerSubscriber {
  /**
   * Gets the subscriber's email address.
   *
   * @return
   *   Subscriber's email address.
   */
  public function getMail();

  /**
   * Gets the subscription for a newsletter.
   *
   * @param $nlid
   *   ID of the newsletter to get the subscription for.
   *
   * @return
   *   IDs of the sections subscribed to.
   */
  public function getNewsletterSubscription($nlid);

  /**
   * Gets the absolute URL for the page to edit the subscription.
   *
   * @return
   *   Absolute URL for the page to edit the subscription.
   */
  public function getSubscriptionLink();
}