$(document).ready(function() {
  /**
   * Callback when the mailing method changes.
   */
  function onMailMethodChanged() {
    switch ($('input[@name="mail_method"]:checked').val()) {
    case 'mail':
      $('#sendmail-fieldset').hide();
      $('#smtp-fieldset').hide();
      break;
    case 'sendmail':
      $('#sendmail-fieldset').show();
      $('#smtp-fieldset').hide();
      break;
    case 'smtp':
      $('#sendmail-fieldset').hide();
      $('#smtp-fieldset').show();
      break;
    }
  }
  
  /**
   * Callback when the usage of a logo in the newsletter header changes.
   */
  function onUseLogoChanged() {
    if ($('#edit-use-logo').attr('checked')) {
      $('#edit-logo-wrapper').show();
      $('#view-logo-wrapper').show();
    }
    else {
      $('#edit-logo-wrapper').hide();
      $('#view-logo-wrapper').hide();
    }
  }
  
  /**
   * Callback when the usage of a date in the newsletter header changes.
   */
  function onUseDateChanged() {
    if ($('#edit-use-date').attr('checked')) {
      $('#edit-date-type-wrapper').show();
      $('#edit-date-format-wrapper').show();
      $('#view-date-format-wrapper').show();
    }
    else {
      $('#edit-date-type-wrapper').hide();
      $('#edit-date-format-wrapper').hide();
      $('#view-date-format-wrapper').hide();
    }
  }
  
  // Attach event handlers.
  $('input[@name="mail_method"]').change(onMailMethodChanged);
  $('#edit-use-logo').change(onUseLogoChanged);
  $('#edit-use-date').change(onUseDateChanged);
  
  // Invoke event handlers initially.
  onMailMethodChanged();
  onUseLogoChanged();
  onUseDateChanged();
});
