<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>
  
  <xsl:template match="/newsletter">
    <xsl:apply-templates select="header"/>
    <xsl:apply-templates select="sections/section"/>
    <xsl:apply-templates select="footer"/>
  </xsl:template>
  
  <xsl:template match="header">
    <xsl:value-of select="title"/><xsl:text>&#13;</xsl:text>
    <xsl:value-of select="link"/><xsl:text>&#13;&#13;</xsl:text>
    <xsl:if test="date">
      <xsl:value-of select="date"/><xsl:text>&#13;&#13;</xsl:text>
    </xsl:if>
    <xsl:if test="message">
      <xsl:value-of select="message"/><xsl:text>&#13;&#13;</xsl:text>
    </xsl:if>
  </xsl:template>
  
  <xsl:template match="sections/section">
    <xsl:if test="name">
      <xsl:value-of select="title"/>
      <xsl:text>&#13;--------------------------------&#13;&#13;</xsl:text>
    </xsl:if>
    <xsl:apply-templates select="content"/>
  </xsl:template>
  
  <xsl:template match="content">
    <xsl:value-of select="title"/><xsl:text>&#13;</xsl:text>
    <xsl:value-of select="link"/><xsl:text>&#13;</xsl:text>
    <xsl:if test="author">
      <xsl:value-of select="author"/><xsl:text>&#13;</xsl:text>
      <xsl:value-of select="author-link"/><xsl:text>&#13;</xsl:text>
    </xsl:if>
    <xsl:value-of select="date"/><xsl:text>&#13;</xsl:text>
    <xsl:value-of select="teaser"/><xsl:text>&#13;&#13;</xsl:text>
  </xsl:template>
  
  <xsl:template match="footer">
    <xsl:text>To change your subscription or unsubscribe, please visit </xsl:text><xsl:value-of select="subscription-link"/><xsl:text>.</xsl:text>
  </xsl:template>
</xsl:stylesheet>
